package com.woolha.jpamulticolumnjoin.dto;

import java.math.BigDecimal;
import java.util.UUID;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@AllArgsConstructor
@NoArgsConstructor
@Builder
@Getter
@Setter
public class ProductWithOrderDto {

  private UUID id;

  private UUID categoryId;

  private String code;

  private String name;

  private BigDecimal price;

  private OrderDto order;
}
